The BOOST_PP_SEQ_POP_FRONT macro pops an element from the beginning of a seq.

#### Usage

BOOST_PP_SEQ_POP_FRONT(seq)

#### Arguments

seq
  The seq to pop an element from.

#### Remarks

This macro returns seq after removing the first element.

#### See Also

- BOOST_PP_SEQ_POP_BACK

#### Requirements

Header: <boost/preprocessor/seq/pop_front.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/pop_front.hpp>

    #define SEQ (a)(b)(c)

    BOOST_PP_SEQ_POP_FRONT(SEQ) // expands to (b)(c)